package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 子库与部门关系表
 * @TableName ks_system_base_dept_relation
 */
@TableName(value ="ks_system_base_dept_relation")
@Data
public class SystemBaseDeptRelation implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 子库ID
     */
    private String baseId;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}